# proptools

[![Build Status](https://travis-ci.org/mvernacc/proptools.svg?branch=master)](https://travis-ci.org/mvernacc/proptools) [![codecov](https://codecov.io/gh/mvernacc/proptools/branch/master/graph/badge.svg)](https://codecov.io/gh/mvernacc/proptools)



Rocket propulsion design calculation tools.


## Overview

This project provides python implementations of equations used in the preliminary design of rocket propulsion systems.
Most of the equations are taken from from [*Modern Engineering for Design of Liquid-Propellant Rocket Engines*](https://arc.aiaa.org/doi/book/10.2514/4.866197) by Dieter Huzel and David Huang or [*Rocket Propulsion Elements*](http://www.wiley.com/WileyCDA/WileyTitle/productCd-1118753658.html) by George Sutton and Oscar Biblarz.


## Author

This software is written and maintained by Matthew Vernacchia, a graduate researcher in the department of Aeronautics and Astronautics at MIT. Please notify me of bugs or feature requests by opening an issue ticket or emailing mvernacc at mit dot edu.

 
## No Warranty

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Further, the design tools implemented herein are suitable for preliminary design only. More detailed analysis and throughout verification testing is necessary before a rocket propulsion system can be safely operated or its performance guaranteed.
